<template lang="pug">
form.form( @submit.prevent='emit("on-submit")' )
	b-fields
		b-field( :label='$t("default.order_dates")' :on-border='true' expanded )
			b-datepicker( v-model='dates' )
		b-field( :label='$t("default.user_email")' :on-border='true' expanded )
			b-input( v-model='os.keyword' )
		b-field
			b-button( node="button" type="primary" fullwidth ) {{$t("buttons.search")}}
</template>

<script setup>
import BFields from "@/components/form/Fields.vue"
import BField from "@/components/form/Field.vue"
import BInput from "@/components/form/Input.vue"
import BSelect from "@/components/form/Select.vue"
import BDatepicker from "@/components/form/Datepicker.vue"

import { computed } from "vue"
import { useOrderStore } from '@/stores/order'

const emit = defineEmits([ "on-submit" ])

const os = useOrderStore()

const dates = computed({
	get: () => ({
		date_from: os.date_from,
		date_to: os.date_to
	}),
	set: ({ date_from, date_to }) => {
		os.date_from = date_from
		os.date_to = date_to
	}
})
</script>

<style lang="scss" scoped>

</style>